commit:     c99f84ddf1119d540f6563a1adadc7e1ef477f62
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 27 11:01:03 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Wed Nov 27 11:02:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c99f84dd

sys-cluster/rdma-core: Version bump (v26.1)

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sys-cluster/rdma-core/Manifest              |  1 +
 sys-cluster/rdma-core/rdma-core-26.1.ebuild | 95 +++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/sys-cluster/rdma-core/Manifest b/sys-cluster/rdma-core/Manifest
index ab03357fbe4..d700143e185 100644
--- a/sys-cluster/rdma-core/Manifest
+++ b/sys-cluster/rdma-core/Manifest
@@ -1,3 +1,4 @@
 DIST rdma-core-24.0.tar.gz 1219485 BLAKE2B 
400076305ca634a14d8f46df3477f9e3e753b95840237a217cfffe1a78e93ee90994e628f2a0693bde588ce15965df0014acb55bc92c36e3c45011cc69e9898a
 SHA512 
0ef2b2b4250a1738adec964911a286f60e2310472c943dac1be45c70974a8bd1f32ee96013bff9e492132403af810aee1350d404a87ae7671731f7a5bd80c655
 DIST rdma-core-25.0.tar.gz 1494005 BLAKE2B 
406926ae57ae4914a77c82025906270bbc45632ed1e0ecb44b1662d797066bf27275c8b4c4bee40795880bdb4ed06f8f9d3714cfffc64132c00395328ee0527f
 SHA512 
b2c6eaf16f89fb913e35b0eb602f60e8bf45979673597c34006ed78c2e671cf1e50b1cc0752740dc474a58fc94eb0c3f66175183e6b903605ff1512469ceef38
 DIST rdma-core-26.0.tar.gz 1444585 BLAKE2B 
148b25f6108199b3845446e9f45a59d089e7f546218d70abeadffd5cf3e0b26569bc5099abfb6152f376689e04a493529a61fc1d6b40c153aca23b5df2776bf7
 SHA512 
7dfdd93d10e4c56cac5ac0c1b46900fe7a6c634920e470ebc582abd7a0f57c57d585b4e0dbbb5ad84f46ca8518132e684d44d33c62b0509461ed5b62b7e0f19b
+DIST rdma-core-26.1.tar.gz 1601313 BLAKE2B 
459baa80d5cb74386e567880ec7fd2de9e4aaea177e7022603db5dd70f633152d86618bbab637ca337a9314c0c19b5c0f6a51f281802fa0b8bedb8fad149f26c
 SHA512 
98f0e3f3e951f3b2287711526a2a6c62cb4e0f5eb693894c7f44783c5eb6d4213c9eedc39b2370563e8bca17e133497e475392004ace0203d2a39de371254742

diff --git a/sys-cluster/rdma-core/rdma-core-26.1.ebuild 
b/sys-cluster/rdma-core/rdma-core-26.1.ebuild
new file mode 100644
index 00000000000..3e47003b5b6
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-26.1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit cmake-utils python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       virtual/libudev:=
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-util/valgrind )
+       python? ( ${PYTHON_DEPS} )"
+
+DEPEND="${COMMON_DEPEND}
+       python? ( dev-python/cython[${PYTHON_USEDEP}] )"
+
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes"
+
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR=/etc
+               -DCMAKE_INSTALL_FULL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR=/var/lib
+               -DCMAKE_INSTALL_UDEV_RULESDIR="$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_pandoc=yes
+               $(ver_test -ge 25 && echo 
-DCMAKE_DISABLE_FIND_PACKAGE_rst2man=yes)
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex systemd no yes)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+       )
+
+       if use python; then
+               mycmakeargs+=( -DNO_PYVERBS=OFF )
+       else
+               mycmakeargs+=( -DNO_PYVERBS=ON )
+       fi
+
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
+       rm -r "${D}"/etc/{udev,init.d} || die
+
+       newinitd "${FILESDIR}"/ibacm.init ibacm
+       newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       newinitd "${FILESDIR}"/srpd.init srpd
+}

Reply via email to